### Retrogaming-Vortrag - Slides

## Table of contents

1. Install [Node.js](http://nodejs.org/) (4.0.0 or later) and npm

1. Clone the  repository
   ```sh
   $ git clone https://git.kostianix.de/talks/retrogaming-slides.git
   ```

1. Install the necessary Font locally on your computer
   ```
   mkdir -p ~/.font
   cp reveal.js/retrotalk/font/Nintendo\ DS\ BIOS.ttf ~/.fonts/
   ```
   Maybe you have to install your font to ~/.fonts instead of ~/.font, depending on your distro (ubuntu uses ~/.fonts).
   Also make sure to restart your Browser to make it utilize the font (it looks pixelated).

1. Navigate to the folder
   ```sh
   $ cd reveal.js
   ```

1. Install dependencies
   ```sh
   $ npm install
   ```

1. Serve the presentation and monitor source files for changes
   ```sh
   $ npm start
   ```

1. Open <http://localhost:8000> to view your presentation.<br>
   You can change the port by using `npm start -- --port=8001`.
   
1. If you want all on one page, e.G. to print this out, append `?pdf-print` to the link like so:
   `http://localhost:8000/?pdf-print` You can now print the presentation if you like.

1. Navigate through the Slides using the Arrow-Keys (Correct order is pressing down until you reach the Bottom, then richt, then down to the Bottom again and so on...). 
   Press Escape to go to the Overview.

### Folder Structure

```
── retrotalk/
   ├── css/
   │   └── theme/
   │       └── retro.css # theme for the slides
   ├── font/
   │   └── Nintendo DS BIOS.ttf # primary font used for slides. copy to your home-font-folder
   └── image/
      └── *.(png|jpg) # diverse images
── slides.md # markdown file of the slides
── index.html # open this in browser with http://localhost:8000
```

## License


### reveal.js

MIT licensed

Copyright (C) 2017 Hakim El Hattab, http://hakim.se

### Retrotalk

CC-BY-SA-NC-4.0

zeus@ctdo.de

https://tastatursport.de/
